Поддержка Разное Обновление WordPress 5.6 перестал работать сайт

  • После обновление WordPress 5.6 обрадовали тесты PageSeed 65-mobile и 95-desktop. Но есть один небольшой минус — перестал работать сайт. А именно фильтры категорий на jawa. Заплатки типа плагины migrate Jquery не помогли. Думаю этот переход будет фатальный для обычного юзера без помощи программистов.

    • Тема изменена 4 месяца, 1 неделя назад пользователем igorlends.
    • Тема изменена 4 месяца, 1 неделя назад пользователем igorlends.
Просмотр 5 ответов — с 1 по 5 (всего 5)
  • А именно фильтры категорий на jawa.

    javascript, видимо. А Jawa — это мотоцикл 🙂

    Заплатки типа плагины migrate Jquery не помогли.

    О чем не единожды предупреждали. WP 5.6 использует современную библиотеку jQuery.

    Думаю этот переход будет фатальный для обычного юзера без помощи программистов.

    Ну, строго говоря, обычный юзер не может запустить обновление, это может сделать только Администратор сайта. А звание Админа обязывает хоть немного соображать. Да и требуется-то от него всего ничего: убедиться, что тема и плагины готовы к работе с WP5.6. Ну а мелкие глюки — это неотъемлемая часть любого софта, как учат «старшие братья» из мелкомягкой и фруктовой компаний.

    p.s. Программисты пылесосы не ремонтируют, программисты пишут программы.

    • Ответ изменён 4 месяца, 1 неделя назад пользователем Юрий. Причина: p.s
    Модератор Yui

    (@fierevere)

    ゆい

    Вы правильно использовали плагин ?

    Посмотрите — https://ru.wordpress.org/support/article/jquery-wordpress-5-5/

    Умничать конечно можно много, но я не понимаю такие релизы двжика (как, например 2 последних), после которых нужно реанимировать все сайты… Я счтаю, что в таком случае команда разработчиков должна предлагать официальные «заплатки», позволяющие при обновлении сайты держать в рабочем состоянии до тех пор, пока не найдется решение возникшей проблемы.

    Примите как данность, что команда разработчиков никому ничего не должна.

    Мы должны быть им благодарны, что они поддерживают предыдущие версии, причем довольно-таки старые. 3.7 обновилась ровнехонько на свое 7-летие.

    Модератор Yui

    (@fierevere)

    ゆい

    на старые никто никаких гарантий не дает,
    для мира OSS это практически беспрецендентно держать фактически столько веток на поддержке.

    Так что, 2 вещи.

    1. какие-то карантии вам могут дать только бэкапы перед обновлением
    2. не следует писать в чужие темы, если вы не отвечаете в них

    А еще проблема не в движке, если проблемы и есть, то они в плагинах и темах, «Заплатки» для них должны ставить их авторы.

    Движок не должен на своих разработчиках вытягивать всю экосистему плагинов и тем, и продукты третьей стороны, давно снятые с поддержки (jQuery).

Просмотр 5 ответов — с 1 по 5 (всего 5)